Skip to main content
GET
Get connection details

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Path Parameters

connectionId
string<uuid>
required

Identifier of the resource in Payrails.

Response

Details about connection.

name
string
required

Name of the connection.

connectionType
enum<string>
required

Defines the category of the connection. Once a connection is created, this value is fixed and cannot be modified. You can find more information about types of connections in guide.

Available options:
inbound,
outbound
description
string

Description of the connection.

id
string

Internal facing connection identifier.

liveVersionId
string | null

Each connection has multiple versions (connectionVersions) that include configurations. At any given time, only one version can be live for a connection. This field specifically stores the version that is live for a particular connection. If liveVersionId is set to null it means connection is not live.

workspaceId
string

ID of the workspace to which the connection belongs.

updatedAt
string<date-time>

Date and time when the connection was last updated.

Example:

"2025-03-11T09:31:52.131176Z"

createdAt
string<date-time>

Date and time when the connection was created.

Example:

"2025-03-11T09:31:52.131176Z"

deletedAt
string<date-time> | null

Date and time when the connection was deleted. Null if the connection is not deleted.

Example:

"2025-03-11T09:31:52.131176Z"

Last modified on October 5, 2026